%define unstable 1
%define qtdir /usr/lib/qt3
%define prefix /usr
%define static 0
%define postfix a7cvs
#%define buildsubdir kdevelop-%version%postfix
#%define gccver %(gcc -dumpversion| cut -d. -f-2)

%if %unstable
%define _conf_debug --enable-debug=full
%else
%define _conf_debug --disable-debug
%endif

%if %static
%define _conf_static --enable-static
%else
%define _conf_static --disable-static
%endif

Name: kdevelop
Version: 3.0
Release: alt0.12
Serial: 2

Summary: Integrated Development Environment for C++/C
License: GPL
Group: Development/C++
Url: http://www.kdevelop.org/

Source: kdevelop-%version-%release.tar.bz2
#Source1: ftp://ftp.ee.fhm.edu/pub/unix/ide/KDevelop/c_cpp_reference-2.0.2.tar.bz2
#Source2: kdevelop-2.0-kdevelop
#Source3: kdevelop-htdig.conf
Patch1: detect_alt_autoconf.patch
Patch2: kdevelop-3.0-alt0.11-qmake_path.patch
# Viktor S. Grishchenko: because of the '.la wars' pthread have to be
# explicitly linked
Patch3: kdevelop-3.0-alt0.12-linkpthread.patch

# Sergey A. Sukiyazov; temp fixes for cstring -> qstring troubles
Patch6000: kdevelop-3.0a4a-set_default_codec.patch
#Patch6001: kdevelop-3.0a4a-qstring_conv.patch     unnecessary when 6000 is on

# Automatically added by buildreq on Fri Sep 12 2003
#BuildRequires: XFree86-devel XFree86-libs flex fontconfig freetype2 gcc-c++ graphviz kde-settings kdelibs-devel libGLU libXft libart_lgpl-devel libarts-devel libdb4.0-devel libexpat libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel libxml2 libxslt qt3-designer qt3-doc xml-utils zlib-devel

BuildRequires: XFree86-devel XFree86-libs flex fontconfig freetype2
BuildRequires: gcc-c++ libGLU libXft libart_lgpl-devel libarts-devel
BuildRequires: libexpat libjpeg-devel liblcms libmng libpng-devel libqt3-devel
BuildRequires: libstdc++-devel libxml2 libxslt xml-utils zlib-devel libpcre-devel
BuildRequires: kdelibs-devel
#kdelibs-gcc_compiled = %__gcc_version_base
BuildRequires: libdb4-devel python-devel
BuildRequires: autoconf >= 2.53, automake >= 1.5

Requires: autoconf automake enscript gcc-c++ openssl-devel
Requires: kdelibs-devel XFree86-devel
Requires: kdoc libjpeg-devel libqt3-devel make perl
Requires: sgml-tools gettext zlib-devel
Requires: qt3-designer kdbg ctags gettext-tools
#Requires: kdegraphics-kiconedit  dep. removed; not to mess with the Big KDE
#Requires: kdelibs-gcc_compiled = %__gcc_version_base

%add_findprov_lib_path %_libdir/kde3

%description
The KDevelop Integrated Development Environment provides many features that
developers need as well as providing a unified interface to programs like gdb,
the C/C++ compiler, and make.

KDevelop manages or provides:
   * All development tools needed for C++ programming like Compiler, Linker,
     automake and autoconf

   * KAppWizard, which generates complete, ready-to-go sample applications

   * Classgenerator, for creating new classes and integrating them into the
     current project

   * File management for sources, headers, documentation etc. to be included in
     the project

   * The creation of User-Handbooks written with SGML and the automatic
     generation of HTML-output with the KDE look and feel

   * Automatic HTML-based API-documentation for your project's classes with
     cross-references to the used libraries; Internationalization support for
     your application, allowing translators to easily add their target language
     to a project

   * WYSIWYG (What you see is what you get) creation of user interfaces with a
     built-in dialog editor

   * Debugging your application by integrating KDbg

   * Editing of project-specific pixmaps with KIconEdit

   * The inclusion of any other program you need for development by adding it to
     the "Tools" menu according to your individual needs.

%package devel
Summary: Development libraries for kdevelop
Group: Development/KDE and QT
PreReq: %name = %version-%release

%description devel
Development libraries for kdevelop.

%if %static
%package devel-static
Summary: Static libraries for kdevelop
Group: Development/KDE and QT
PreReq: %name = %version-%release

%description devel-static
Static libraries for kdevelop.
%endif


%prep

%setup -q -n kdevelop
#  -q -a1 -n %buildsubdir

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch6000 -p1
#%patch6001 -p1

#perl -pi -e "s|-lkfile||g" admin/acinclude.m4.in
#perl -pi -e "s|Name=KDevelop.*|Name=KDevelop|g" %_builddir/%buildsubdir/kdevelop/kdevelop.desktop
#perl -pi -e "s|Name=KDevelop.*|Name=KDevelop - Setup|g" %_builddir/%buildsubdir/kdevelop/kdevelop-setup.desktop

subst "s/\.la/.so/g" \
    admin/acinclude.m4.in \
    parts/appwizard/common/admin/acinclude.m4.in
#make -f Makefile.cvs || make -f admin/Makefile cvs ||:
make -f Makefile.cvs

%build
export QTDIR=%qtdir
export KDEDIR=%prefix

%remove_optflags -fno-exceptions
%add_optflags -fexceptions
./configure --disable-rpath
#\
#    --enable-final \
#    --enable-shared \
#    --with-xinerama \
#    --enable-mt \
#    --with-qtdoc-dir=%qtdir/doc/html/ \
#    --with-kdelibsdoc-dir=%_docdir/HTML/en/api/ \
#    --program-transform-name="" \
#    %_conf_debug %_conf_static \
#    --disable-rpath

%make_build

# c references
#cd c_cpp_reference-2.0.2
#cp -f /usr/share/libtool/config* .
#mkdir -p admin && cp ../admin/am_edit admin/
#ln -s ../admin .
#autoconf
#./configure \
#    --prefix=/usr \
#    --with-qt=%qtdir \
#    --with-qt-includes=%qtdir/include \
#    --with-qt-libraries=%qtdir/lib
#make
#cd -

%install
# Dadou - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
%if %unstable
%set_strip_method none
%endif

make install DESTDIR=%buildroot

mkdir -p $RPM_BUILD_ROOT/%_menudir
#cat << EOF > $RPM_BUILD_ROOT/%_menudir/%name
#?package(%name):\
#    needs="kde" \
#    section="Applications/Development/Development environments" \
#    title="%name" \
#    longtitle="A great development environment for C++ and other languages" \
#    command="PATH=%_bindir:%qtdir/bin %_bindir/kdevelop" \
#    icon=%name.png
#EOF

kdedesktop2mdkmenu.pl %name "Applications/Development/Development environments" %buildroot/%_datadir/applnk/Development/kdevelop.desktop %buildroot/%_menudir/%name

#cd c_cpp_reference-2.0.2
#make install DESTDIR=%buildroot
#  make_install  (datadir)
#cd -

# HACK: remove file for broken requirements
#rm -f $RPM_BUILD_ROOT/%_bindir/r++


%add_findreq_skiplist */*template*/*

%files

%_bindir/*
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README HACKING TODO
%_menudir/%name
#%_iconsdir/
%_libdir/*.so.*
#%_libdir/*.la
%_libdir/kde3/*.so*
#%_libdir/kde3/*.la
%_datadir/applnk/Development/*
%_datadir/apps/*
%_datadir/config/*
%_datadir/icons/*/*/*/*.png
%_datadir/mimelnk/application/*
%_datadir/services/*
%_datadir/servicetypes/*
%_datadir/doc/HTML/en/%name
%_datadir/mimelnk/text/*.desktop
#%_datadir/applnk/Development/*.desktop
#%_datadir/apps/*
#%_datadir/mimelnk/application/*.desktop
#%_datadir/services/
#%_datadir/servicetypes/*.desktop
#%_datadir/config/gideonrc

%files devel
%_includedir/kdevelop
%_libdir/*.so
#%if %static
#%files devel-static
#%_libdir/*.la
#%_libdir/kde3/*.a
#%endif

%post
%post_ldconfig
%update_menus

%postun
%postun_ldconfig
%clean_menus

%changelog
* Mon Jan 12 2004 Viktor S. Grishchenko <gritzko@altlinux.ru> 2:3.0-alt0.12
- CVS update
- link libpthread to kdevelop executable (no .la => no .so dep recursion)

* Mon Dec 29 2003 Sergey V Turchin <zerg at altlinux dot org> 2:3.0-alt0.11.1
- remove %%_libdir/*.la; fix finding kdelibs in project apps

* Sun Nov 23 2003 Viktor S. Grishchenko <gritzko@altlinux.ru> 2:3.0-alt0.11
- update to CVS
- qmake in $PATH patch

* Sat Nov 8 2003 Viktor S. Grishchenko <gritzko@altlinux.ru> 2:3.0-alt0.10
- gettext-tools dependency
- non-KDE menus bugfix
- update to CVS HEAD

* Fri Oct 17 2003 Viktor S. Grishchenko <gritzko@altlinux.ru> 2:3.0-alt0.07
- exec filename changes from gideon to kdevelop
- version numbering change

* Wed Oct 15 2003 Viktor S. Grishchenko <gritzko@altlinux.ru> 2:3.0a7-alt1
- updated to alpha7+

* Wed Sep 24 2003 Viktor S. Grishchenko <gritzko@altlinux.ru> 2:3.0a6-alt3
- libpcre-devel python22-devel dependencies (for hasher builds)

* Mon Sep 22 2003 Viktor S. Grishchenko <gritzko@altlinux.ru> 2:3.0a6-alt2
- add_findprov_lib_path spec fix
- removed kiconedit depencency; not to depend on Big KDE

* Fri Sep 12 2003 Viktor S. Grishchenko <gritzko@altlinux.ru> 2:3.0a6-alt1
- new Sisyphus requirements
- updated to the current cvs version (~alpha 6)

* Thu Sep  4 2003 Sergey A. Sukiyazov <corwin@micom.net.ru> 2:3.0-ssa0.a4a
- add graphviz build requirements
- add and disable patch to set default codec via locale.
- add patch to qstring convert via locale.

* Fri Dec 20 2002 Viktor S. Grishchenko <gritzko@altlinux.ru> 3.0-a2-cvs
- total spec clean-up
- CVS update

* Fri Oct 04 2002 Gor <vg@altlinux.ru> 2:2.1.2-alt3
- spec fixes for new kde deps
- sources updated from CVS

* Fri Oct 04 2002 Gor <vg@altlinux.ru> 2:2.1.2-alt2
- rebuild with gcc-3.2 & new kdelibs

* Wed Jul 31 2002 Viktor S. Grishchenko <gritzko@altlinux.ru> 2:2.1.2-alt1
- update from cvs (KDE_2_2_BRANCH, 2.1.2+fixes)
- removed MDK patches (obsolete)
- removed automake hack patch
- removed  kdevelop-2.1beta1-kde3.patch
- detect_alt_autoconf.patch to choose appropriate autoconf alternative

* Fri Jun 14 2002 Sergey V Turchin <zerg@altlinux.ru> 2:2.1.1-alt3
- update from cvs (KDEVELOP_2_0_BRANCH)

* Fri May 31 2002 Sergey V Turchin <zerg@altlinux.ru> 2:2.1.1-alt2
- fix missing C reference files

* Fri May 31 2002 Sergey V Turchin <zerg@altlinux.ru> 2:2.1.1-alt1
- new version

* Thu Apr 04 2002 Sergey V Turchin <zerg@altlinux.ru> 2:2.1-alt1
- new version

* Tue Mar 19 2002 Sergey V Turchin <zerg@altlinux.ru> 2:2.0.2-alt5
- add any PreReq

* Fri Feb 15 2002 Sergey V Turchin <zerg@altlinux.ru> 2:2.0.2-alt4
- sync with cooker (add patches 3-6)

* Tue Jan 22 2002 Sergey V Turchin <zerg@altlinux.ru> 2:2.0.2-alt3
- rebuild without fam
- sync with cooker (update cvs)

* Mon Dec 10 2001 Sergey V Turchin <zerg@altlinux.ru> 2:2.0.2-alt2
- fix Patch10 (QString.patch)

* Fri Dec 07 2001 Sergey V Turchin <zerg@altlinux.ru> 2:2.0.2-alt1
- new version

* Wed Nov 21 2001 Sergey V Turchin <zerg@altlinux.ru> 1:2.2-alt8
- add Patch10 from Sergey A. Sukiyazov <corwin@micom.don.ru>

* Fri Oct 12 2001 AEN <aen@logic.ru> 2.2-alt7
- rebuild with new libpng

* Fri Oct 12 2001 Sergey V Turchin <zerg@altlinux.ru> 2.2-alt6
- rebuild with new libpng

* Tue Aug 28 2001 Sergey V Turchin <zerg@altlinux.ru> 2.2-alt5
- fix broken dependences

* Fri Aug 24 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.2-alt4
- Fixed .la bug

* Fri Aug 24 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.2-alt3
- Some spec cleanup
- Added -devel package
- Fixed filelists
- Added c_cpp_reference documentation

* Mon Aug 20 2001 Sergey V Turchin <zerg@altlinux.ru> 2.2-alt2
- fixed %%serial

* Fri Aug 17 2001 Sergey V Turchin <zerg@altlinux.ru> 2.2-alt1
- build for ALT

* Tue Aug 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-2mdk
- Fix generated menu

* Wed Aug 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-1mdk
- kdevelop 2.0 for kde 2.2

* Wed Aug 01 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- kde 2.2 pre1

* Fri Jun 29 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1

* Fri Jun 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.3mdk
- Clean ./configure
- Enable debug and don't strip when we are not in final release

* Tue May 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.2mdk
- Re-enable debug (low level)

* Wed May 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha2.1mdk
- kdevelop 2.2 alpha2

* Tue May 02 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha1.1mdk
- kdevelop 2.2 alpha1

* Wed Apr 11 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.1-3mdk
- Add requires

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4.1-2mdk
- Move KDE menu entries in %%_datadir/applnk
- Rebuild against latest GCC

* Wed Mar 21 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4.1-1mdk
- Kdevelop 1.4.1
- Disable PATH for kdelibsdoc-dir (looks in kdelibs buildroot!???)

* Sun Mar 11 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-6mdk
- Rebuild for Linux-Mandrake 8.0 Beta 2
- Rebuild against Qt 2.3.0
- Re-enable default PATH for kdelibsdoc-dir
- Clean BuildRequires

* Thu Mar  8 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 1.4-5mdk
- removed BuildRequires for libreadline4

* Thu Mar 01 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-4mdk
- Requires: libjpeg-devel

* Wed Feb 28 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-3mdk
- Add BuildRequires

* Sun Feb 25 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-2mdk
- Repackage (update in KDE 2.1 sources)

* Fri Feb 23 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-1mdk
- Kdevelop 1.4

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-0.20010220.1mdk
- Enable --disable-debug
- Rewrite file list to fix updates
- Remove non needed %%find_lang

* Tue Feb 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-0.20010213.1mdk
- Update code
- rebuild for kde > beta 2

* Thu Jan 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-0.20010116.4mdk
- Fix requires

* Thu Jan 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-0.20010116.3mdk
- Fix requires

* Thu Jan 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-0.20010116.2mdk
- Fix requires

* Thu Jan 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-0.20010116.1mdk
- initial packaging
